## org.eclipse.contribution.visualiser.internal.preference
Class TabFolderLayout

    java.lang.Object
      org.eclipse.swt.widgets.Layout
          org.eclipse.contribution.visualiser.internal.preference.TabFolderLayout

public class TabFolderLayout
extends org.eclipse.swt.widgets.Layout

Constructor Summary
`TabFolderLayout()`

Method Summary
`protected org.eclipse.swt.graphics.Point` `computeSize(org.eclipse.swt.widgets.Composite composite, int wHint, int hHint, boolean flushCache)`
`protected void` `layout(org.eclipse.swt.widgets.Composite composite, boolean flushCache)`

Methods inherited from class org.eclipse.swt.widgets.Layout
`flushCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabFolderLayout

    public TabFolderLayout()

Method Detail

### computeSize

    protected org.eclipse.swt.graphics.Point computeSize(org.eclipse.swt.widgets.Composite composite,
                                                         int wHint,
                                                         int hHint,
                                                         boolean flushCache)

### layout

    protected void layout(org.eclipse.swt.widgets.Composite composite,
                          boolean flushCache)